function [ f, df, ddf ] = calcf_stybliski_tang( x )
%CALCF_STYBLISKI_TANG evals the 2 dimensional Stybliski-Tang function
%   [ f, df, ddf ] = CALCF_STYBLISKI_TANG(x) returns the value f of the
%   Siblinsky-Tang function and its gradient df as well as hessian ddf.

f = 0.5*(x(1) ^ 4 - 16 * x(1) ^ 2 + 5 * x(1) + x(2) ^ 4 - 16 * x(2) ^ 2 + 5 * x(2));
df = 0.5*[4 * x(1) ^ 3 - 32 * x(1) + 5; 4 * x(2) ^ 3 - 32 * x(2) + 5;];
ddf = [6 * x(1) ^ 2 - 16 0; 0 6 * x(2) ^ 2 - 16;];

end

